#!/bin/ksh
#
# --------------------------------------------------------
#  Script:  errexit  Author:  Bill Facey  2 Apr 96
#
# ABSTRACT:  This script is to be used when a fatal error or condition 
# has been reached and you want to terminate the job.  The script puts
# failmessages in job outputfile and in the jlogfile, a failjob is sent
# set to job output file, and to the jlogfile, a fail message is sent to
# the HDS, and processing is terminateod and the screen is turned purple.
#
# USAGE:  To use this script one must export the following variables 
# to the script: jobid, SENDMSG, ENVIR, HOLDATMP, HOLDNTMP,
# and failjob,and jlogfile.  One can provide a message for the logfile
# by passing it to the script as an argument.
#
set -x
utilscript="${utilscript:-/home/straha1/hwrf-9-3/compat/ush/}"
[ -z "$DISPMSG" ] || $DISPMSG "$failjob"
msg1=" FAILED ${jobid} - ABNORMAL EXIT"
num=$#
echo num=$num
if test "$num" -eq 1
then
msg1="$1"
fi
sh $utilscript/postmsg.sh "$jlogfile" "$msg1"
# --------------------------------------------------------
# UTILITY - error-exit script
# --------------------------------------------------------
set +x
echo "*******************************************************"
echo " ***** FAILED ${jobid} - ABNORMAL EXIT *****"
echo " ***** FAILED ${jobid} - ABNORMAL EXIT *****"
echo " ***** FAILED ${jobid} - ABNORMAL EXIT *****"
echo "*******************************************************"
set -x
msg2=" FAILED ${jobid} - ABNORMAL EXIT"
sh $utilscript/postmsg.sh "$jlogfile" "$msg2"

#####################################
# list  production libraries
#####################################
for lib in $libdirs
do
cd $lib; pwd ; ls -ltr       
cd $lib/exec* ; pwd ; ls -ltr
cd $lib/ucl* ;  pwd ; ls -ltr
cd $lib/fix* ;  pwd ; ls -ltr
cd $DATA
done

# list temporary files
cd $DATA;pwd;ls -ltr

# save standard output
cat break $pgmout break > allout
cat allout

cd

if test "$SENDSMS" = "YES"
then
    ########################################################
    $SMSBIN/smsmsg "***JOB ${jobid} ERROR in $pgm  RC=$err ***"
    $SMSBIN/smsmsg "***JOB ${jobid} ERROR in $pgm  RC=$err ***"
    $SMSBIN/smsmsg "***SEE OUTPUT IN ${COM} ***"
    $SMSBIN/smsabort
    ########################################################
fi

date
if ( /usr/bin/which llcancel ) ; then
    # Kill jobs using LoadLeveler
    # (these two lines from original NCO errexit.sh)
    JOB_NAME=$LOADL_STEP_ID
    llcancel $JOB_NAME
fi
if ( /usr/bin/which bkill ) ; then
    # Kill jobs using LSF
    bkill "$LSB_JOBID"
fi
if ( /usr/bin/which qdel ) ; then
    # Kill jobs using Torque or GridEngine
    if [[ -e /lfs1 ]] ; then
        # Cancel jobs on Jet
        for x in $( seq 1 3 ) ; do
            qdel ${PBS_JOBID:-JOB_ID}
            sleep 60
        done
    else
        # Cancel jobs on Zeus
        qdel $PBS_JOBID
    fi
fi
sleep 60000
exit
