#! /bin/env python

import produtil.setup, produtil.log, produtil.run
import hwrf_expt

def main():
    hwrf_expt.init_module()
    conf=hwrf_expt.conf
    logger=conf.log('archive.disk')
    archive=conf.getloc('archive')
    with NamedDir(conf.getdir('com')):
        files=''.join([ 'filename\n' for filename in glob.glob('*') ])
        assert(len(files)>0)

        if archive[0:5]=='disk:':
            path=archive[5:]
            flags='-cvp'
            if path[-3:]=='.gz' or path[-4:]=='.tgz':
                flags+='z'
            cmd=exe(conf.getexe('tar'))[flags+'f',path,'-T','-'] << files
        elif archive[0:5]=='hpss:':
            logger.info('Nothing to do for hpss archiving in disk step.')
        elif archive[0:5]=='hpsz:':
            path=conf.strinterp('{WORKhwrf}/stage-archive.tar.gz')
            cmd=exe(conf.getexe('tar'))['-cvpf',path,'-T','-'] << files
