#! /bin/env python

import os, sys
import produtil.setup, produtil.log
import hwrf.mpipomtc

def doit():
    produtil.setup.setup()
    import hwrf_expt
    hwrf_expt.init_module()
    conf=hwrf_expt.conf
    logger=hwrf_expt.conf.log('exhwrf_forecast')

    ocean_flag=conf.getbool('config','run_ocean')
    fallbacks_flag=conf.getbool('config','allow_fallbacks')

    if ocean_flag:
        ocean_success=hwrf.mpipomtc.get_ocstatus(conf,logger)

        if not hwrf_expt.pominit.is_completed():
            logger.warning('The pom_init completion flag is off.  '
                           'Ocean init failed.')
            ocean_success=False

        if not ocean_success:
            if fallbacks_flag:
                logger.critical(
                    'CRITICAL FAILURE: HWRF ocean init failed, but '
                    'fallbacks are enabled.  Running uncoupled.')
                hwrf_expt.runwrf.run(coupled=False)
                return
            else:
                logger.critical(
                    'CRITICAL FAILURE: HWRF ocean init failed, and '
                    'fallbacks are disabled.  Aborting.')
                sys.exit(1)
        else:
            produtil.log.postmsg('Ocean init succeeded.  Running coupled.')
    else:
        produtil.log.postmsg('Ocean is disabled.  Running uncoupled.')

    hwrf_expt.runwrf.run()

if __name__=='__main__': 
    doit()
