#! /bin/env python

import os, sys, produtil.log, produtil.setup
from produtil.log import jlogger

def fail(msg):
    jlogger.error(msg)
    sys.exit(2)

def main():
    ENV=os.environ
    gsi_domain=ENV['GSI_DOMAIN'].lower()
    if gsi_domain!='d02' and gsi_domain!='d03':
        fail('Aborting: gsi_domain="%s" must be "d02" or "d03"'%(gsi_domain,))
    
    import hwrf_expt
    hwrf_expt.init_module()
    if gsi_domain=='d02':
        hwrf_expt.gsi_d02.run()
    else:
        hwrf_expt.gsi_d03.run()

if __name__=='__main__':
    try:
        produtil.setup.setup()
        main()
    except Exception as e:
        jlogger.critical('HWRF GSI is aborting: '+str(e),exc_info=True)
        sys.exit(2)
