#! /bin/env python

import os, sys
import produtil.log, produtil.setup
import hwrf.mpipomtc
from produtil.log import jlogger

def main():
    import hwrf_expt
    hwrf_expt.init_module()
    conf=hwrf_expt.conf
    logger=conf.log('exhwrf_ocean_init')
    hwrf.mpipomtc.unset_ocstatus(conf,logger)
    try:
        hwrf_expt.pominit.run()
        hwrf.mpipomtc.set_ocstatus(conf,True,logger)
    except Exception as e:
        hwrf.mpipomtc.set_ocstatus(conf,False,logger)
        raise

if __name__=='__main__':
    try:
        produtil.setup.setup()
        main()
    except Exception as e:
        jlogger.critical('HWRF POM ocean init is aborting: '
                         +str(e),exc_info=True)
        sys.exit(2)
