#! /bin/env python

import os, produtil.cd, produtil.sigsafety, cProfile, logging, time
import produtil.datastore, produtil.setup, produtil.log
from produtil.log import jlogger
from produtil.cd import NamedDir
from produtil.datastore import COMPLETED, FAILED, UNSTARTED

def done(task):
    state=task.getstate()
    return state == COMPLETED or state==FAILED

def post():
    produtil.setup.setup()
    jlogger.info('starting post')
    import hwrf_expt
    hwrf_expt.init_module()

    run_satpost=hwrf_expt.conf.getbool('config','run_satpost',True)

    # Make sure we check all tasks to see if they're posted:
    hwrf_expt.nonsatpost.state=UNSTARTED
    hwrf_expt.satpost.state=UNSTARTED
    hwrf_expt.wrfcopier.state=UNSTARTED

    # Change to a temp directory to run the  post:
    with NamedDir(hwrf_expt.WORKhwrf,logger=logging.getLogger()) as t:
        #hwrf_expt.ds.dump() # dump entire database state to stdout
        alldone=False
        while not alldone:
            if not done(hwrf_expt.wrfcopier):    hwrf_expt.wrfcopier.runpart()
            if not done(hwrf_expt.nonsatpost):   hwrf_expt.nonsatpost.runpart()
            if not done(hwrf_expt.nonsatpost):   hwrf_expt.nonsatpost.runpart()
	    if run_satpost:
                if not done(hwrf_expt.satpost):      hwrf_expt.satpost.runpart()
            if not done(hwrf_expt.nonsatpost):   hwrf_expt.nonsatpost.runpart()
            alldone = done(hwrf_expt.satpost) and done(hwrf_expt.nonsatpost) \
                and done(hwrf_expt.wrfcopier)
            time.sleep(0.1) # avoid thrash loop in case of logic error
    jlogger.info('completed post')

post()
#cProfile.run('post()') # use instead of post() to get profiling info
