#!/bin/ksh

#---------------------------------------------------------------------------
# The DUMP script will dump requested data into directory $DATA.
# Written by Dennis Keyser
# 2013-04-18 Mingjing Tong - Modified for HWRF implementaion
#---------------------------------------------------------------------------

set -uax

export DATA=$DATA/DUMP
######################################## [ -d $DATA ] && rm -rf $DATA
mkdir -p $DATA

FORM=${FORM:-ibm}

envir=${envir:-prod}
DUMP=${DUMP:-/nw${envir}/ush/dumpjb}

#---------------------------------------------------------------------------
#     The arguments for the DUMP script are described below.         
#---------------------------------------------------------------------------

if test "$#" -eq '4'
then

#---------------------------------------------------------------------------
# The DUMP script    The center of    The radius of     message   <subtype:> 
# accepts these      the time         the time          type:     
# arguments:         window:          window:
#
# Example.           yymmddhh<.hh>    hh<.hh>           ttt       <sss>
#---------------------------------------------------------------------------

  $DUMP              $1               $2                 $3         $4
  err=$?

elif test "$#" -eq '3'
then

#---------------------------------------------------------------------------
# The DUMP script    The center of    The radius of     Table A message
# accepts these      the time         the time          name:
# arguments:         window:          window:
#
# Example.           yymmddhh<.hh>    hh<.hh>           nnnnnn
#---------------------------------------------------------------------------

  $DUMP              $1               $2                 $3 
  err=$?

elif test "$#" -eq '5'
then

#---------------------------------------------------------------------------
# The DUMP script    The center of    The radius of     Table A message
# accepts these      the time         the time          name:
# arguments:         window:          window:
#
# Example.           yymmddhh<.hh>    hh<.hh>           nnnnnn
#---------------------------------------------------------------------------

  $DUMP              $1               $2                 $3   $4  $5
  err=$?

elif test "$#" -eq '6'
then

#---------------------------------------------------------------------------
# The DUMP script    The center of    The radius of     Table A message
# accepts these      the time         the time          name:
# arguments:         window:          window:
#
# Example.           yymmddhh<.hh>    hh<.hh>           nnnnnn
#---------------------------------------------------------------------------

  $DUMP              $1               $2                 $3   $4  $5  $6
  err=$?

fi

  if test "$err" -lt '23'
  then
     set +x
     echo "      SUCCESSFUL COMPLETION"
     set -x
  else 
     set +x
     echo "##### FATAL ERROR in DUMPJB - r.c. = " $err
     set -x
  fi
exit $err
